/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
public Date defaultBookedIn() {
    return todayPlus(1);
}
// ...
public Date defaultEstimatedReady() {
    return todayPlus(1);
}
// ...
private static final long MILLIS_PER_DAY = 24 * 60 * 60 * 1000;
private static Date todayPlus(final int days) {
    Date midnight = new Date(Clock.getTime());
    return new Date(midnight.getTime() + MILLIS_PER_DAY * days); 
}
